6.0.0-git
2021-01-18

[#9212] encoding of attached filenames with foreign characters is not correct
Summary encoding of attached filenames with foreign characters is not correct
Queue IMP
Queue Version 4.3.7
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester luc.germain (at) usherbrooke (dot) ca
Created 2010-09-01 (3792 days ago)
Due
Updated 2010-09-13 (3780 days ago)
Assigned
Resolved 2010-09-01 (3792 days ago)
Milestone
Patch No

History
2010-09-13 18:38:31 CVS Commit Comment #3 Reply to this comment
Changes have been made in CVS for this ticket:

Bug: 9212
Still need quotes if data is not encoded.
http://cvs.horde.org/diff.php/framework/MIME/Attic/MIME.php?rt=horder1=1.139.4.49r2=1.139.4.50ty=u
2010-09-01 20:31:17 Michael Slusarz Comment #2
Assigned to Michael Slusarz
Summary ⇒ encoding of attached filenames with foreign characters is not correct
State ⇒ Resolved
Reply to this comment
Fixed in Horde 3.3.9.  This was fixed in Horde 4 long ago during the 
MIME rewrite.

http://lists.horde.org/archives/cvs/Week-of-Mon-20100830/091233.html
2010-09-01 18:36:03 luc (dot) germain (at) usherbrooke (dot) ca Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ encoding of attached filenames with foreign caracters is not correct
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
When a file having foreign caracters is attached to a message and sent 
with IMP, the encoding does not follow exactly RFC 2231 section 4. 
Here is the header sent by IMP:

--=_3pfswe3aoqg4
Content-Type: text/plain;
  charset=UTF-8;
  name*="utf-8''Fichier%20attach%C3%A9.txt"
Content-Disposition: attachment;
  filename*="utf-8''Fichier%20attach%C3%A9.txt"
Content-Transfer-Encoding: quoted-printable

Ce fichier contient des mots avec des caract=C3=A8res accentu=C3=A9s.
--=_3pfswe3aoqg4--


The name*= and filename*= should NOT be surrounded by double quotes. 
The lines should be instead:

  name*=utf-8''Fichier%20attach%C3%A9.txt
and
  filename*=utf-8''Fichier%20attach%C3%A9.txt

Some clients (rightfully) ignore these lines when the double quotes 
are there, but they decode the name correctly when the double quotes 
are removed.

Saved Queries